const toggleButton = document.querySelector(".toggle-button");
const mainMenu = document.querySelector(".main-menu");
/* Toggle the Menu Icon */
toggleButton.addEventListener('click', function () {
    /* Toggles the active class */
    mainMenu.classList.toggle('active');
        if (mainMenu.classList.contains("active")) {              
            /* Adds the close (x) icon */
            toggleButton.innerHTML = "&#215;";
        } else {          
            /* Adds the hamburger icon */
            toggleButton.innerHTML = "&#9776;";
        }
});
/* Adding Dropdowns to the Submenu */
const menuItems = document.querySelectorAll(".menu-item");
/* Activate Submenu */
function toggleItem() {
  if (this.classList.contains("submenu-active")) {
    this.classList.remove("submenu-active");
  } else if (mainMenu.querySelector(".submenu-active")) {
    mainMenu.querySelector(".submenu-active").classList.remove("submenu-active");
    this.classList.add("submenu-active");
  } else {
    this.classList.add("submenu-active");
  }
}
/* Event Listeners */
for (let menuItem of menuItems) {
    if (menuItem.querySelector(".submenu")) {
        menuItem.addEventListener("click", toggleItem, false);
        menuItem.addEventListener("keypress", toggleItem, false);
    }   
}
/* Close Submenu From Anywhere */
function closeSubmenu(e) {
    if (mainMenu.querySelector(".submenu-active")) {
      let isClickInside = mainMenu.querySelector(".submenu-active").contains(e.target);
      if (!isClickInside && mainMenu.querySelector(".submenu-active")) {
        mainMenu.querySelector(".submenu-active").classList.remove("submenu-active");
      }
    }
  }
/* Event listener */
  document.addEventListener("click", closeSubmenu, false);
